Name:           perl-IPC-Signal
Version:        1.00
Release:    1%{?dist}
Summary:        Utility functions dealing with signals for Perl 
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/IPC-Signal
Source0:        https://cpan.metacpan.org/modules/by-module/IPC/IPC-Signal-%{version}.tar.gz

BuildArch:      noarch 
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76

%{?perl_default_filter}

%description
This Perl module contains utility functions for dealing with signals. 
Currently these are just translating between signal names and signal 
numbers and vice versa. 


%prep
%setup -q -n IPC-Signal-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%{perl_vendorlib}/IPC
%{_mandir}/man3/IPC::Signal.3pm*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.00-1
- initial build
